Skip to main content
POST
/
user
/
projects
/
create
Create Project
curl --request POST \
  --url https://cloud.onyx.app/api/user/projects/create \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chat_sessions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "time_created": "<string>",
      "time_updated": "<string>",
      "shared_status": "public",
      "persona_id": 123,
      "current_alternate_model": "<string>",
      "current_temperature_override": 123
    }
  ],
  "instructions": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://danswer-mintlify-deep-research-1773355783.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization header with Bearer token

Query Parameters

name
string
required

Response

Successful Response

id
integer
required
name
string
required
description
string | null
required
created_at
string<date-time>
required
user_id
string<uuid> | null
required
chat_sessions
ChatSessionDetails · object[]
required
instructions
string | null